@Library ('swjenkins') _

// Build and CD this module - publish the docker image, provision this snapshot version in the cluster and then update the named
// tenants to use this snapshot.
// This works: curl https://uat.semweb.co/dabdata/actuator/health
Map args=[
  dockerImageName:'docker.semweb.co/semweb/dabdata',
  deploymentTemplate:'k8s/deployment_template.yaml',
  targetNamespace:'cma-uat',
  deployAs:'dabdata',
  healthActuator:'http://dabdata-service.cma-uat:8080/dabdata/actuator/health'
]

buildSWService(args)


